@font-face {
  font-family: "Obra Letra";
  src: url("Fontes/Obraletra/KCObraLetraBold.ttf") format("truetype");
}

@font-face {
  font-family: "Barlow";
  src: url("Fontes/Barlow/Barlow-Bold.ttf") format("truetype");
}

@font-face {
  font-family: "BarlowMedium";
  src: url("Fontes/Barlow/Barlow-Medium.ttf") format("truetype");
}

@font-face {
  font-family: "BarlowLight";
  src: url("Fontes/Barlow/Barlow-ExtraLight.ttf") format("truetype");
}


/* Modificando o tamanho da imagem */
.resized-image {
  width: 600px; /* Define a largura como 300px */
  height: auto; /* Mantém a proporção da imagem */
}

/* Home */
.jumbotron {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #a799bb;
  font-family: "Obra Letra", sans-serif;
  position: relative;
  overflow: hidden;
  align-items: center;
  text-align: center;
}

.jumbotron h1 {
  color: #004138;
  text-align: center;
  font-size: 80px;
}

.lead {
  color: #004138;
}

.jumbotron-image-right {
  position: absolute;
  width: 1700px;
  top: 250px;
  left: 930px;
  transform: rotate(-5deg);
  z-index: 0;
  
}

.jumbotron-image-left {
  position: absolute;
  width: 1700px;
  bottom: 425px;
  right: 850px;
  transform: rotate(-10deg);
}

/* Barras de navegação */
.navbar {
  background-color: #c2ade0;
  font-family: "BarlowMedium";
  font-size: 19px;
}

.navbar-nav .nav-item {
  margin-left: 20px;
  margin-right: 20px;
}

.navbar-nav .nav-item .nav-link.active {
  color: #2197bd !important; /* Cor do texto quando o link está ativo */
}

.primeira-nav {
  border-width: medium !important;
  border-style: solid !important;
  border-color: #004138 !important;
} 

html {
  scroll-behavior: smooth;
}

:target {
  scroll-margin-top: 0.8em;
}

/* Sections */
#sobre {
  display: flex; /* Define a section como flexível */
  justify-content: space-between; /* Distribui as divs uniformemente ao longo da section */
  width: 100%; /* Garante que a section ocupe toda a largura disponível */
}

#projetos {
  justify-content: space-between; /* Distribui as divs uniformemente ao longo da section */
  width: 100%; /* Garante que a section ocupe toda a largura disponível */
  padding-top: 30px;
}

#contato {
  padding-top: 30px;
}

/* Section Sobre */
.section-sobre h2,
h3 {
  font-family: "Obra Letra", sans-serif;
  color: #c2ade0 !important;
  margin-top: 10px;
  font-size: 50px;
}

.titulo-custom-sobre {
  margin-top: 50px;
  margin-bottom: 0px;
}

.section-sobre p {
  font-family: "BarlowMedium";
  color: #c2ade0;
  font-size: 20px;
}

.resized-star {
  position: absolute;
  width: 400px;
  left: -70px;
  bottom: 10px;
  margin-left: 120px;
  transform: rotate(-20deg);
}

@media (max-width: 1800px) {
  .resized-star {
    position: static;
    top: 50px;
    right: 5px;
    margin-left: 0%;
    width: 300px;
  }
}

.titulo-custom {
  padding-top: 150px;
  margin-bottom: 50px;
}

@media (max-width: 1800px) {
  .titulo-custom {
    padding-top: 0%;
  }
}

/* Barras de porcentagem */
.progress-container {
  width: 100%;
  margin: 20px 0;
  display: flex;
  align-items: center;
}

.label {
  font-family: "BarlowMedium";
  color: #333;
  background-color: #c2ade0;
  width: 100px;
  text-align: center;
  z-index: 1;
  border-left: 100px;
  border-start-end-radius: 6px;
  direction: rtl;
  border-bottom-left-radius: 6px;
}

.progress {
  flex: 1; /* Permite que a barra de progresso ocupe o espaço restante */
  display: flex;
  align-items: center;
  position: relative;
  height: 30px !important;
  border-bottom-left-radius: 0% !important;
  border-top-left-radius: 0% !important;
}

.progress-bar-custom {
  height: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-weight: bold;
  background-color: #2197bd !important;
}

.percentage {
  margin-left: 10px;
  font-family: "BarlowMedium";
  position: absolute;
  right: 10px;
  color: #333;
  z-index: 1;
}

.custom-span {
  font-family: "BarlowLight";
  color: #333;
  background-color: #c2ade0;
  z-index: 1;
}

/* Section Formação */
.section-formacao h2 {
  font-family: "Obra Letra", sans-serif;
  color: #004138;
  margin-top: 10px;
  font-size: 50px;
}

@media (max-width: 960px) {
  .text-custom {
    max-width: 50px;
  }
}

.lista-modulos {
  padding-left: 2rem !important;
  font-family: "BarlowMedium";
  color: #004138;
  font-size: 18px;
}

@media (max-width: 960px) {
  .lista-modulos {
    margin-left: 0% !important;
  }
}

.section-formacao p {
  font-family: "BarlowMedium";
  color: #004138;
  font-size: 20px;
}

.resized-star2 {
  top: 10px;
  right: 10px;
  position: absolute;
  width: 200px;
  transform: rotate(10deg);
  margin: 1rem;
}

/* Media queries para ajustar a imagem em diferentes tamanhos de tela */
@media (max-width: 930px) {
  .resized-star2 {
    width: 150px;
    margin: auto;
    max-width: 50px; /* Reduz o tamanho da imagem para telas menores */
  }
}

@media (max-width: 362px) {
  .resized-star2 {
    width: 100px;
    margin: auto;
    max-width: 50px; /* Reduz o tamanho da imagem para telas menores */
  }
}

.centered-image {
  transform: translate(-62%, 10%) !important;
  width: 200px;
  height: auto;
}

.botao-custom {
  background-color:#2197bd !important;
  font-family: "BarlowMedium" !important;
}

/* Section Projetos */
.section-projetos {
  background-color: #004138;
  padding: 2rem 0;
}

.section-projetos,
.project-nav {
  background-color: #004138;
}

.project-nav .nav-item {
  margin: 0 90px;
}

.segunda-nav {
  border-width: medium !important;
  border-style: solid !important;
  border-color: #a799bb !important;
  background-color: #a799bb !important;
}

.section-projetos h2 {
  font-family: "Obra Letra", sans-serif;
  color: #c2ade0;
  padding: 1.5rem;
  /* Equivalente a p-4 */
  margin-bottom: 3rem;
  /* Equivalente a mb-5 */
  padding-top: 3rem;
  /* Equivalente a mt-5 */
  font-size: 50px;
}

.project-nav .nav-link.active {
  background-color: #c2ade0;
}






@media (max-width: 1289px) {
  .project-nav .navbar-collapse {
    display: none;
  }

  .project-nav .navbar-toggler {
    display: block;
  }
}

/* @media (min-width: 1290px) {
  .project-nav .navbar-collapse {
    display: inline !important;
    text-align: center;
  }

  .project-nav .navbar-toggler {
    display: none;
  }
} */

@media (min-width: 1290px) {
  .project-nav .navbar-collapse {
    display: flex !important;
    justify-content: center; /* Alinha os itens no centro */
  }

  .project-nav .navbar-nav {
    display: flex; /* Isso alinha os itens horizontalmente */
    flex-direction: row; /* Garante que os itens fiquem em uma linha */
  }

  .project-nav .nav-item {
    margin: 0 10px; /* Espaçamento entre os itens */
  }

  .project-nav .navbar-toggler {
    display: none;
  }
}









.projetos-imagens {
  width: 500px;
  height: auto;
}


.project-list {
  position: relative;
  display: flex;
  overflow: hidden;
  list-style-type: none;
  padding: 0 40px;
  margin: 0;
  transition: 0.5s ease;
  /* Transição suave */
}
                        
.buttom-prev {
  position: absolute;
  top: 250px;
  left: 0;
  width: 4% !important; 
  z-index: 1;
  margin: 30px;
  border-radius: 50%; 
  background: #2197bd;
  border: 0;
}

.buttom-next {
  position: absolute;
  top: 250px;
  right: 0;
  width: 4% !important; 
  z-index: 1;
  margin: 30px;
  border-radius: 50%; 
  background: #2197bd;
  border: 0;
}

.image-item {
  flex: 1 1 300px;
  min-width: 600px;
  max-width: 200px;
  padding-top: 50px;
  text-align: center;
  box-sizing: border-box;
  font-family: "BarlowMedium";
  color: #c2ade0;
}

.image-item-vue {
  justify-content: center !important;
  min-width: 500px;
  padding-top: 50px;
  text-align: center;
  box-sizing: border-box;
  font-family: "BarlowMedium";
  color: #c2ade0;
}

.image-item h4 {
  width: 300px;
  padding-top: 20px;
  text-align: center;
  margin: auto;
}

.image-item p {
  width: 300px;
  padding-top: 10px;
  text-align: center;
  margin: auto;
}

.image-item img {
  max-width: 100%;
  height: auto;
}

/* Links para os projetos */
.section-projetos a:link {
  text-decoration: none;
  color: #c2ade0;
}

.section-projetos a:visited {
  text-decoration: none;
  color: #c2ade0;
}

.section-projetos a:hover {
  text-decoration: underline;
  color: #c2ade0;
}

.section-projetos a:active {
  text-decoration: none;
  color: #c2ade0;
}


/* Section Footer */
.image-contato {
  width: 150px;
}

.section-footer {
  font-family: "Obra Letra", sans-serif;
  color: #c2ade0;
  background-color: #004138;
}

/* Layout para telas menores */
@media (max-width: 597px) { 
  .row-custom {
      flex-direction: column;
      align-items: center;
  }

  .col-custom {
      margin-bottom: 3rem;
      width: 100%; /* ajusta a largura para ocupar todo o espaço */
      display: flex;
      justify-content: center;
  }
}

.resized-github {
  width: 65px;
}

.resized-lkdn {
  width: 70px;
}

.resized-email {
  width: 70px;
}
